package mybox.engine;

import java.io.*;

public class File4Qcad {
	
	
	private static String outputFileStr;
	private File outputFile = null; 
	private PrintWriter outputFileWriter = null;
	public int lineCount=67;
	
	public File4Qcad(String filenameStr_p) throws SecurityException, IOException {
		
		
		outputFileStr = filenameStr_p;
		
		if(outputFileStr == null)
			outputFileStr = "output.dxf";
		
		
		outputFile = new File(outputFileStr);
		outputFileWriter = new PrintWriter(new FileWriter(outputFile));
		
		/* create the DXF "header" */
		outputFileWriter.println("999");
		outputFileWriter.println("dxflib 2.2.0.0");
		outputFileWriter.println("  0");
		outputFileWriter.println("SECTION");
		//xxx		
		outputFileWriter.println("  2");
		outputFileWriter.println("HEADER");
		outputFileWriter.println("  9");
		outputFileWriter.println("$ACADVER");
		outputFileWriter.println("  1");
		outputFileWriter.println("AC1015");
		outputFileWriter.println("  9");
		outputFileWriter.println("$HANDSEED");
		outputFileWriter.println("  5");
		outputFileWriter.println("FFFF");
		outputFileWriter.println("  9");
		outputFileWriter.println("$DIMASZ");
		outputFileWriter.println(" 40");
		outputFileWriter.println("2.5");
		outputFileWriter.println("  9");
		outputFileWriter.println("$PLIMMIN");
		outputFileWriter.println(" 10");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 20");
		outputFileWriter.println("0.0");
		outputFileWriter.println("  9");
		outputFileWriter.println("$DIMEXE");
		outputFileWriter.println(" 40");
		outputFileWriter.println("1.25");
		outputFileWriter.println("  9");
		outputFileWriter.println("$DIMGAP");
		outputFileWriter.println(" 40");
		outputFileWriter.println("0.625");
		outputFileWriter.println("  9");
		outputFileWriter.println("$PLIMMAX");
		outputFileWriter.println(" 10");
		outputFileWriter.println("210.0");
		outputFileWriter.println(" 20");
		outputFileWriter.println("297.0");
		outputFileWriter.println("  9");
		outputFileWriter.println("$INSUNITS");
		outputFileWriter.println(" 70");
		outputFileWriter.println("4");
		outputFileWriter.println("  9");
		outputFileWriter.println("$DIMSTYLE");
		outputFileWriter.println("  2");
		outputFileWriter.println("Standard");
		outputFileWriter.println("  9");
		outputFileWriter.println("$DIMEXO");
		outputFileWriter.println(" 40");
		outputFileWriter.println("0.625");
		outputFileWriter.println("  9");
		outputFileWriter.println("$DIMTXT");
		outputFileWriter.println(" 40");
		outputFileWriter.println("2.5");
		outputFileWriter.println("  9");
		outputFileWriter.println("$CLAYER");
		outputFileWriter.println("  8");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDSEC");
		outputFileWriter.println("  0");
		outputFileWriter.println("SECTION");
		outputFileWriter.println("  2");
		outputFileWriter.println("TABLES");
		outputFileWriter.println("  0");
		outputFileWriter.println("TABLE");
		outputFileWriter.println("  2");
		outputFileWriter.println("VPORT");
		outputFileWriter.println("  5");
		outputFileWriter.println("8");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTable");
		outputFileWriter.println(" 70");
		outputFileWriter.println("1");
		outputFileWriter.println("  0");
		outputFileWriter.println("VPORT");
		outputFileWriter.println("  5");
		outputFileWriter.println("30");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbViewportTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("*Active");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println(" 10");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 20");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 11");
		outputFileWriter.println("1.0");
		outputFileWriter.println(" 21");
		outputFileWriter.println("1.0");
		outputFileWriter.println(" 12");
		outputFileWriter.println("286.3055555555554861");
		outputFileWriter.println(" 22");
		outputFileWriter.println("148.5");
		outputFileWriter.println(" 13");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 23");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 14");
		outputFileWriter.println("10.0");
		outputFileWriter.println(" 24");
		outputFileWriter.println("10.0");
		outputFileWriter.println(" 15");
		outputFileWriter.println("10.0");
		outputFileWriter.println(" 25");
		outputFileWriter.println("10.0");
		outputFileWriter.println(" 16");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 26");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 36");
		outputFileWriter.println("1.0");
		outputFileWriter.println(" 17");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 27");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 37");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 40");
		outputFileWriter.println("297.0");
		outputFileWriter.println(" 41");
		outputFileWriter.println("1.92798353909465");
		outputFileWriter.println(" 42");
		outputFileWriter.println("50.0");
		outputFileWriter.println(" 43");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 44");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 50");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 51");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 71");
		outputFileWriter.println("0");
		outputFileWriter.println(" 72");
		outputFileWriter.println("100");
		outputFileWriter.println(" 73");
		outputFileWriter.println("1");
		outputFileWriter.println(" 74");
		outputFileWriter.println("3");
		outputFileWriter.println(" 75");
		outputFileWriter.println("1");
		outputFileWriter.println(" 76");
		outputFileWriter.println("1");
		outputFileWriter.println(" 77");
		outputFileWriter.println("0");
		outputFileWriter.println(" 78");
		outputFileWriter.println("0");
		outputFileWriter.println("281");
		outputFileWriter.println("0");
		outputFileWriter.println(" 65");
		outputFileWriter.println("1");
		outputFileWriter.println("110");
		outputFileWriter.println("0.0");
		outputFileWriter.println("120");
		outputFileWriter.println("0.0");
		outputFileWriter.println("130");
		outputFileWriter.println("0.0");
		outputFileWriter.println("111");
		outputFileWriter.println("1.0");
		outputFileWriter.println("121");
		outputFileWriter.println("0.0");
		outputFileWriter.println("131");
		outputFileWriter.println("0.0");
		outputFileWriter.println("112");
		outputFileWriter.println("0.0");
		outputFileWriter.println("122");
		outputFileWriter.println("1.0");
		outputFileWriter.println("132");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 79");
		outputFileWriter.println("0");
		outputFileWriter.println("146");
		outputFileWriter.println("0.0");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDTAB");
		outputFileWriter.println("  0");
		outputFileWriter.println("TABLE");
		outputFileWriter.println("  2");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("5");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTable");
		outputFileWriter.println(" 70");
		outputFileWriter.println("21");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("14");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("ByBlock");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("0");
		outputFileWriter.println(" 40");
		outputFileWriter.println("0.0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("15");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("ByLayer");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("0");
		outputFileWriter.println(" 40");
		outputFileWriter.println("0.0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("16");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("CONTINUOUS");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Solid line");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("0");
		outputFileWriter.println(" 40");
		outputFileWriter.println("0.0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("31");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("DOT");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Dot . . . . . . . . . . . . . . . . . . . . . .");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("2");
		outputFileWriter.println(" 40");
		outputFileWriter.println("6.3499999999999996");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("32");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("DOT2");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Dot (.5x) .....................................");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("2");
		outputFileWriter.println(" 40");
		outputFileWriter.println("3.1749999999999998");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-3.1749999999999998");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("33");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("DOTX2");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Dot (2x) .  .  .  .  .  .  .  .  .  .  .  .  .");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("2");
		outputFileWriter.println(" 40");
		outputFileWriter.println("12.6999999999999993");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("34");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("DASHED");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Dashed __ __ __ __ __ __ __ __ __ __ __ __ __ _");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("2");
		outputFileWriter.println(" 40");
		outputFileWriter.println("19.0500000000000007");
		outputFileWriter.println(" 49");
		outputFileWriter.println("12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("35");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("DASHED2");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Dashed (.5x) _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("2");
		outputFileWriter.println(" 40");
		outputFileWriter.println("9.5250000000000004");
		outputFileWriter.println(" 49");
		outputFileWriter.println("6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-3.1749999999999998");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("36");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("DASHEDX2");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Dashed (2x) ____  ____  ____  ____  ____  ___");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("2");
		outputFileWriter.println(" 40");
		outputFileWriter.println("38.1000000000000014");
		outputFileWriter.println(" 49");
		outputFileWriter.println("25.3999999999999986");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("37");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("DASHDOT");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Dash dot __ . __ . __ . __ . __ . __ . __ . __");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("4");
		outputFileWriter.println(" 40");
		outputFileWriter.println("25.3999999999999986");
		outputFileWriter.println(" 49");
		outputFileWriter.println("12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("38");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("DASHDOT2");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Dash dot (.5x) _._._._._._._._._._._._._._._.");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("4");
		outputFileWriter.println(" 40");
		outputFileWriter.println("12.6999999999999993");
		outputFileWriter.println(" 49");
		outputFileWriter.println("6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-3.1749999999999998");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-3.1749999999999998");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("39");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("DASHDOTX2");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Dash dot (2x) ____  .  ____  .  ____  .  ___");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("4");
		outputFileWriter.println(" 40");
		outputFileWriter.println("50.7999999999999972");
		outputFileWriter.println(" 49");
		outputFileWriter.println("25.3999999999999986");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("3A");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("DIVIDE");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Divide ____ . . ____ . . ____ . . ____ . . ____");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("6");
		outputFileWriter.println(" 40");
		outputFileWriter.println("31.75");
		outputFileWriter.println(" 49");
		outputFileWriter.println("12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("3B");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("DIVIDE2");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Divide (.5x) __..__..__..__..__..__..__..__.._");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("6");
		outputFileWriter.println(" 40");
		outputFileWriter.println("15.875");
		outputFileWriter.println(" 49");
		outputFileWriter.println("6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-3.1749999999999998");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-3.1749999999999998");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-3.1749999999999998");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("3C");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("DIVIDEX2");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Divide (2x) ________  .  .  ________  .  .  _");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("6");
		outputFileWriter.println(" 40");
		outputFileWriter.println("63.5");
		outputFileWriter.println(" 49");
		outputFileWriter.println("25.3999999999999986");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("3D");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("CENTER");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Center ____ _ ____ _ ____ _ ____ _ ____ _ ____");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("4");
		outputFileWriter.println(" 40");
		outputFileWriter.println("50.7999999999999972");
		outputFileWriter.println(" 49");
		outputFileWriter.println("31.75");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("3E");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("CENTER2");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Center (.5x) ___ _ ___ _ ___ _ ___ _ ___ _ ___");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("4");
		outputFileWriter.println(" 40");
		outputFileWriter.println("28.5749999999999993");
		outputFileWriter.println(" 49");
		outputFileWriter.println("19.0500000000000007");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-3.1749999999999998");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("3.1749999999999998");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-3.1749999999999998");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("3F");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("CENTERX2");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Center (2x) ________  __  ________  __  _____");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("4");
		outputFileWriter.println(" 40");
		outputFileWriter.println("101.5999999999999943");
		outputFileWriter.println(" 49");
		outputFileWriter.println("63.5");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("40");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("BORDER");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Border __ __ . __ __ . __ __ . __ __ . __ __ .");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("6");
		outputFileWriter.println(" 40");
		outputFileWriter.println("44.4500000000000028");
		outputFileWriter.println(" 49");
		outputFileWriter.println("12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("41");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("BORDER2");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Border (.5x) __.__.__.__.__.__.__.__.__.__.__.");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("6");
		outputFileWriter.println(" 40");
		outputFileWriter.println("22.2250000000000014");
		outputFileWriter.println(" 49");
		outputFileWriter.println("6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-3.1749999999999998");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("6.3499999999999996");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-3.1749999999999998");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-3.1749999999999998");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("LTYPE");
		outputFileWriter.println("  5");
		outputFileWriter.println("42");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLinetypeTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("BORDERX2");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("Border (2x) ____  ____  .  ____  ____  .  ___");
		outputFileWriter.println(" 72");
		outputFileWriter.println("65");
		outputFileWriter.println(" 73");
		outputFileWriter.println("6");
		outputFileWriter.println(" 40");
		outputFileWriter.println("88.9000000000000057");
		outputFileWriter.println(" 49");
		outputFileWriter.println("25.3999999999999986");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("25.3999999999999986");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-12.6999999999999993");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDTAB");
		outputFileWriter.println("  0");
		outputFileWriter.println("TABLE");
		outputFileWriter.println("  2");
		outputFileWriter.println("LAYER");
		outputFileWriter.println("  5");
		outputFileWriter.println("2");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTable");
		outputFileWriter.println(" 70");
		outputFileWriter.println("1");
		outputFileWriter.println("  0");
		outputFileWriter.println("LAYER");
		outputFileWriter.println("  5");
		outputFileWriter.println("10");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLayerTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("0");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println(" 62");
		outputFileWriter.println("7");
		outputFileWriter.println("420");
		outputFileWriter.println("0");
		outputFileWriter.println("  6");
		outputFileWriter.println("CONTINUOUS");
		outputFileWriter.println("370");
		outputFileWriter.println("25");
		outputFileWriter.println("390");
		outputFileWriter.println("F");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDTAB");
		outputFileWriter.println("  0");
		outputFileWriter.println("TABLE");
		outputFileWriter.println("  2");
		outputFileWriter.println("STYLE");
		outputFileWriter.println("  5");
		outputFileWriter.println("3");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTable");
		outputFileWriter.println(" 70");
		outputFileWriter.println("1");
		outputFileWriter.println("  0");
		outputFileWriter.println("STYLE");
		outputFileWriter.println("  5");
		outputFileWriter.println("11");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbTextStyleTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("Standard");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println(" 40");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 41");
		outputFileWriter.println("0.75");
		outputFileWriter.println(" 50");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 71");
		outputFileWriter.println("0");
		outputFileWriter.println(" 42");
		outputFileWriter.println("2.5");
		outputFileWriter.println("  3");
		outputFileWriter.println("txt");
		outputFileWriter.println("  4");
		outputFileWriter.println("");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDTAB");
		outputFileWriter.println("  0");
		outputFileWriter.println("TABLE");
		outputFileWriter.println("  2");
		outputFileWriter.println("VIEW");
		outputFileWriter.println("  5");
		outputFileWriter.println("6");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTable");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDTAB");
		outputFileWriter.println("  0");
		outputFileWriter.println("TABLE");
		outputFileWriter.println("  2");
		outputFileWriter.println("UCS");
		outputFileWriter.println("  5");
		outputFileWriter.println("7");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTable");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDTAB");
		outputFileWriter.println("  0");
		outputFileWriter.println("TABLE");
		outputFileWriter.println("  2");
		outputFileWriter.println("APPID");
		outputFileWriter.println("  5");
		outputFileWriter.println("9");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTable");
		outputFileWriter.println(" 70");
		outputFileWriter.println("1");
		outputFileWriter.println("  0");
		outputFileWriter.println("APPID");
		outputFileWriter.println("  5");
		outputFileWriter.println("12");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbRegAppTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("ACAD");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDTAB");
		outputFileWriter.println("  0");
		outputFileWriter.println("TABLE");
		outputFileWriter.println("  2");
		outputFileWriter.println("DIMSTYLE");
		outputFileWriter.println("  5");
		outputFileWriter.println("A");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTable");
		outputFileWriter.println(" 70");
		outputFileWriter.println("1");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbDimStyleTable");
		outputFileWriter.println(" 71");
		outputFileWriter.println("0");
		outputFileWriter.println("  0");
		outputFileWriter.println("DIMSTYLE");
		outputFileWriter.println("105");
		outputFileWriter.println("27");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbDimStyleTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("Standard");
		outputFileWriter.println(" 41");
		outputFileWriter.println("2.5");
		outputFileWriter.println(" 42");
		outputFileWriter.println("0.625");
		outputFileWriter.println(" 43");
		outputFileWriter.println("3.75");
		outputFileWriter.println(" 44");
		outputFileWriter.println("1.25");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println(" 73");
		outputFileWriter.println("0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println(" 77");
		outputFileWriter.println("1");
		outputFileWriter.println(" 78");
		outputFileWriter.println("8");
		outputFileWriter.println("140");
		outputFileWriter.println("2.5");
		outputFileWriter.println("141");
		outputFileWriter.println("2.5");
		outputFileWriter.println("143");
		outputFileWriter.println("0.03937007874016");
		outputFileWriter.println("147");
		outputFileWriter.println("0.625");
		outputFileWriter.println("171");
		outputFileWriter.println("3");
		outputFileWriter.println("172");
		outputFileWriter.println("1");
		outputFileWriter.println("271");
		outputFileWriter.println("2");
		outputFileWriter.println("272");
		outputFileWriter.println("2");
		outputFileWriter.println("274");
		outputFileWriter.println("3");
		outputFileWriter.println("278");
		outputFileWriter.println("44");
		outputFileWriter.println("283");
		outputFileWriter.println("0");
		outputFileWriter.println("284");
		outputFileWriter.println("8");
		outputFileWriter.println("340");
		outputFileWriter.println("11");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDTAB");
		outputFileWriter.println("  0");
		outputFileWriter.println("TABLE");
		outputFileWriter.println("  2");
		outputFileWriter.println("BLOCK_RECORD");
		outputFileWriter.println("  5");
		outputFileWriter.println("1");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTable");
		outputFileWriter.println(" 70");
		outputFileWriter.println("1");
		outputFileWriter.println("  0");
		outputFileWriter.println("BLOCK_RECORD");
		outputFileWriter.println("  5");
		outputFileWriter.println("1F");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbBlockTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("*Model_Space");
		outputFileWriter.println("340");
		outputFileWriter.println("22");
		outputFileWriter.println("  0");
		outputFileWriter.println("BLOCK_RECORD");
		outputFileWriter.println("  5");
		outputFileWriter.println("1B");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbBlockTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("*Paper_Space");
		outputFileWriter.println("340");
		outputFileWriter.println("1E");
		outputFileWriter.println("  0");
		outputFileWriter.println("BLOCK_RECORD");
		outputFileWriter.println("  5");
		outputFileWriter.println("23");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbSymbolTableRecord");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbBlockTableRecord");
		outputFileWriter.println("  2");
		outputFileWriter.println("*Paper_Space0");
		outputFileWriter.println("340");
		outputFileWriter.println("26");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDTAB");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDSEC");
		outputFileWriter.println("  0");
		outputFileWriter.println("SECTION");
		outputFileWriter.println("  2");
		outputFileWriter.println("BLOCKS");
		outputFileWriter.println("  0");
		outputFileWriter.println("BLOCK");
		outputFileWriter.println("  5");
		outputFileWriter.println("20");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbEntity");
		outputFileWriter.println("  8");
		outputFileWriter.println("0");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbBlockBegin");
		outputFileWriter.println("  2");
		outputFileWriter.println("*Model_Space");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println(" 10");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 20");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 30");
		outputFileWriter.println("0.0");
		outputFileWriter.println("  3");
		outputFileWriter.println("*Model_Space");
		outputFileWriter.println("  1");
		outputFileWriter.println("");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDBLK");
		outputFileWriter.println("  5");
		outputFileWriter.println("21");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbEntity");
		outputFileWriter.println("  8");
		outputFileWriter.println("0");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbBlockEnd");
		outputFileWriter.println("  0");
		outputFileWriter.println("BLOCK");
		outputFileWriter.println("  5");
		outputFileWriter.println("1C");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbEntity");
		outputFileWriter.println(" 67");
		outputFileWriter.println("1");
		outputFileWriter.println("  8");
		outputFileWriter.println("0");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbBlockBegin");
		outputFileWriter.println("  2");
		outputFileWriter.println("*Paper_Space");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println(" 10");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 20");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 30");
		outputFileWriter.println("0.0");
		outputFileWriter.println("  3");
		outputFileWriter.println("*Paper_Space");
		outputFileWriter.println("  1");
		outputFileWriter.println("");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDBLK");
		outputFileWriter.println("  5");
		outputFileWriter.println("1D");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbEntity");
		outputFileWriter.println(" 67");
		outputFileWriter.println("1");
		outputFileWriter.println("  8");
		outputFileWriter.println("0");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbBlockEnd");
		outputFileWriter.println("  0");
		outputFileWriter.println("BLOCK");
		outputFileWriter.println("  5");
		outputFileWriter.println("24");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbEntity");
		outputFileWriter.println("  8");
		outputFileWriter.println("0");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbBlockBegin");
		outputFileWriter.println("  2");
		outputFileWriter.println("*Paper_Space0");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println(" 10");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 20");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 30");
		outputFileWriter.println("0.0");
		outputFileWriter.println("  3");
		outputFileWriter.println("*Paper_Space0");
		outputFileWriter.println("  1");
		outputFileWriter.println("");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDBLK");
		outputFileWriter.println("  5");
		outputFileWriter.println("25");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbEntity");
		outputFileWriter.println("  8");
		outputFileWriter.println("0");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbBlockEnd");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDSEC");
		outputFileWriter.println("  0");
		outputFileWriter.println("SECTION");
		outputFileWriter.println("  2");
		outputFileWriter.println("ENTITIES");



		//xxx
		//outputFileWriter.println("ENTITIES");
		
	}
			
	public void println(String lineStr) {		
		if (lineStr.trim().length()>0) {
			String lineCountStr=(""+Integer.toHexString(lineCount++)).toUpperCase();
			lineStr=lineStr.replaceAll(QVector.lineCountPlatzhalter, lineCountStr);
			lineStr=lineStr.replaceAll(",", "\\.");
			outputFileWriter.println(lineStr);
		}				
	}
	
	public void printCircle(double centerX, double centerY, double radius) {	
		String circleStr=QVector.generateCircleCode(centerX, centerY, radius);
		String lineCountStr=(""+Integer.toHexString(lineCount++)).toUpperCase();
		circleStr=circleStr.replaceAll(QVector.lineCountPlatzhalter, lineCountStr);
		circleStr=circleStr.replaceAll(",", "\\.");
		outputFileWriter.println(circleStr);	
	}
	
	public void close() throws IOException {
		/* close the DXF section */
		outputFileWriter.println("0");
		outputFileWriter.println("ENDSEC");
		outputFileWriter.println("0");
		outputFileWriter.println("SECTION");
		outputFileWriter.println("  2");
		outputFileWriter.println("OBJECTS");
		outputFileWriter.println("  0");
		outputFileWriter.println("DICTIONARY");
		outputFileWriter.println("  5");
		outputFileWriter.println("C");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbDictionary");
		outputFileWriter.println("280");
		outputFileWriter.println("0");
		outputFileWriter.println("281");
		outputFileWriter.println("1");
		outputFileWriter.println("  3");
		outputFileWriter.println("ACAD_GROUP");
		outputFileWriter.println("350");
		outputFileWriter.println("D");
		outputFileWriter.println("  3");
		outputFileWriter.println("ACAD_LAYOUT");
		outputFileWriter.println("350");
		outputFileWriter.println("1A");
		outputFileWriter.println("  3");
		outputFileWriter.println("ACAD_MLINESTYLE");
		outputFileWriter.println("350");
		outputFileWriter.println("17");
		outputFileWriter.println("  3");
		outputFileWriter.println("ACAD_PLOTSETTINGS");
		outputFileWriter.println("350");
		outputFileWriter.println("19");
		outputFileWriter.println("  3");
		outputFileWriter.println("ACAD_PLOTSTYLENAME");
		outputFileWriter.println("350");
		outputFileWriter.println("E");
		outputFileWriter.println("  3");
		outputFileWriter.println("AcDbVariableDictionary");
		outputFileWriter.println("350");
		outputFileWriter.println("405");
		outputFileWriter.println("  0");
		outputFileWriter.println("DICTIONARY");
		outputFileWriter.println("  5");
		outputFileWriter.println("D");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbDictionary");
		outputFileWriter.println("280");
		outputFileWriter.println("0");
		outputFileWriter.println("281");
		outputFileWriter.println("1");
		outputFileWriter.println("  0");
		outputFileWriter.println("ACDBDICTIONARYWDFLT");
		outputFileWriter.println("  5");
		outputFileWriter.println("E");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbDictionary");
		outputFileWriter.println("281");
		outputFileWriter.println("1");
		outputFileWriter.println("  3");
		outputFileWriter.println("Normal");
		outputFileWriter.println("350");
		outputFileWriter.println("F");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbDictionaryWithDefault");
		outputFileWriter.println("340");
		outputFileWriter.println("F");
		outputFileWriter.println("  0");
		outputFileWriter.println("ACDBPLACEHOLDER");
		outputFileWriter.println("  5");
		outputFileWriter.println("F");
		outputFileWriter.println("  0");
		outputFileWriter.println("DICTIONARY");
		outputFileWriter.println("  5");
		outputFileWriter.println("17");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbDictionary");
		outputFileWriter.println("280");
		outputFileWriter.println("0");
		outputFileWriter.println("281");
		outputFileWriter.println("1");
		outputFileWriter.println("  3");
		outputFileWriter.println("Standard");
		outputFileWriter.println("350");
		outputFileWriter.println("18");
		outputFileWriter.println("  0");
		outputFileWriter.println("MLINESTYLE");
		outputFileWriter.println("  5");
		outputFileWriter.println("18");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbMlineStyle");
		outputFileWriter.println("  2");
		outputFileWriter.println("STANDARD");
		outputFileWriter.println(" 70");
		outputFileWriter.println("0");
		outputFileWriter.println("  3");
		outputFileWriter.println("");
		outputFileWriter.println(" 62");
		outputFileWriter.println("256");
		outputFileWriter.println(" 51");
		outputFileWriter.println("90.0");
		outputFileWriter.println(" 52");
		outputFileWriter.println("90.0");
		outputFileWriter.println(" 71");
		outputFileWriter.println("2");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.5");
		outputFileWriter.println(" 62");
		outputFileWriter.println("256");
		outputFileWriter.println("  6");
		outputFileWriter.println("BYLAYER");
		outputFileWriter.println(" 49");
		outputFileWriter.println("-0.5");
		outputFileWriter.println(" 62");
		outputFileWriter.println("256");
		outputFileWriter.println("  6");
		outputFileWriter.println("BYLAYER");
		outputFileWriter.println("  0");
		outputFileWriter.println("DICTIONARY");
		outputFileWriter.println("  5");
		outputFileWriter.println("19");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbDictionary");
		outputFileWriter.println("280");
		outputFileWriter.println("0");
		outputFileWriter.println("281");
		outputFileWriter.println("1");
		outputFileWriter.println("  0");
		outputFileWriter.println("DICTIONARY");
		outputFileWriter.println("  5");
		outputFileWriter.println("1A");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbDictionary");
		outputFileWriter.println("281");
		outputFileWriter.println("1");
		outputFileWriter.println("  3");
		outputFileWriter.println("Layout1");
		outputFileWriter.println("350");
		outputFileWriter.println("1E");
		outputFileWriter.println("  3");
		outputFileWriter.println("Layout2");
		outputFileWriter.println("350");
		outputFileWriter.println("26");
		outputFileWriter.println("  3");
		outputFileWriter.println("Model");
		outputFileWriter.println("350");
		outputFileWriter.println("22");
		outputFileWriter.println("  0");
		outputFileWriter.println("LAYOUT");
		outputFileWriter.println("  5");
		outputFileWriter.println("1E");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbPlotSettings");
		outputFileWriter.println("  1");
		outputFileWriter.println("");
		outputFileWriter.println("  2");
		outputFileWriter.println("C:\\Program Files\\AutoCAD 2002\\plotters\\DWF ePlot (optimized for plotting).pc3");
		outputFileWriter.println("  4");
		outputFileWriter.println("");
		outputFileWriter.println("  6");
		outputFileWriter.println("");
		outputFileWriter.println(" 40");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 41");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 42");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 43");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 44");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 45");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 46");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 47");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 48");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println("140");
		outputFileWriter.println("0.0");
		outputFileWriter.println("141");
		outputFileWriter.println("0.0");
		outputFileWriter.println("142");
		outputFileWriter.println("1.0");
		outputFileWriter.println("143");
		outputFileWriter.println("1.0");
		outputFileWriter.println(" 70");
		outputFileWriter.println("688");
		outputFileWriter.println(" 72");
		outputFileWriter.println("0");
		outputFileWriter.println(" 73");
		outputFileWriter.println("0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("5");
		outputFileWriter.println("  7");
		outputFileWriter.println("");
		outputFileWriter.println(" 75");
		outputFileWriter.println("16");
		outputFileWriter.println("147");
		outputFileWriter.println("1.0");
		outputFileWriter.println("148");
		outputFileWriter.println("0.0");
		outputFileWriter.println("149");
		outputFileWriter.println("0.0");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLayout");
		outputFileWriter.println("  1");
		outputFileWriter.println("Layout1");
		outputFileWriter.println(" 70");
		outputFileWriter.println("1");
		outputFileWriter.println(" 71");
		outputFileWriter.println("1");
		outputFileWriter.println(" 10");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 20");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 11");
		outputFileWriter.println("420.0");
		outputFileWriter.println(" 21");
		outputFileWriter.println("297.0");
		outputFileWriter.println(" 12");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 22");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 32");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 14");
		outputFileWriter.println("100000000000000000000.0");
		outputFileWriter.println(" 24");
		outputFileWriter.println("100000000000000000000.0");
		outputFileWriter.println(" 34");
		outputFileWriter.println("100000000000000000000.0");
		outputFileWriter.println(" 15");
		outputFileWriter.println("-100000000000000000000.0");
		outputFileWriter.println(" 25");
		outputFileWriter.println("-100000000000000000000.0");
		outputFileWriter.println(" 35");
		outputFileWriter.println("-100000000000000000000.0");
		outputFileWriter.println("146");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 13");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 23");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 33");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 16");
		outputFileWriter.println("1.0");
		outputFileWriter.println(" 26");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 36");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 17");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 27");
		outputFileWriter.println("1.0");
		outputFileWriter.println(" 37");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 76");
		outputFileWriter.println("0");
		outputFileWriter.println("330");
		outputFileWriter.println("1B");
		outputFileWriter.println("  0");
		outputFileWriter.println("LAYOUT");
		outputFileWriter.println("  5");
		outputFileWriter.println("22");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbPlotSettings");
		outputFileWriter.println("  1");
		outputFileWriter.println("");
		outputFileWriter.println("  2");
		outputFileWriter.println("C:\\Program Files\\AutoCAD 2002\\plotters\\DWF ePlot (optimized for plotting).pc3");
		outputFileWriter.println("  4");
		outputFileWriter.println("");
		outputFileWriter.println("  6");
		outputFileWriter.println("");
		outputFileWriter.println(" 40");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 41");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 42");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 43");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 44");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 45");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 46");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 47");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 48");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println("140");
		outputFileWriter.println("0.0");
		outputFileWriter.println("141");
		outputFileWriter.println("0.0");
		outputFileWriter.println("142");
		outputFileWriter.println("1.0");
		outputFileWriter.println("143");
		outputFileWriter.println("1.0");
		outputFileWriter.println(" 70");
		outputFileWriter.println("1712");
		outputFileWriter.println(" 72");
		outputFileWriter.println("0");
		outputFileWriter.println(" 73");
		outputFileWriter.println("0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("0");
		outputFileWriter.println("  7");
		outputFileWriter.println("");
		outputFileWriter.println(" 75");
		outputFileWriter.println("0");
		outputFileWriter.println("147");
		outputFileWriter.println("1.0");
		outputFileWriter.println("148");
		outputFileWriter.println("0.0");
		outputFileWriter.println("149");
		outputFileWriter.println("0.0");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLayout");
		outputFileWriter.println("  1");
		outputFileWriter.println("Model");
		outputFileWriter.println(" 70");
		outputFileWriter.println("1");
		outputFileWriter.println(" 71");
		outputFileWriter.println("0");
		outputFileWriter.println(" 10");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 20");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 11");
		outputFileWriter.println("12.0");
		outputFileWriter.println(" 21");
		outputFileWriter.println("9.0");
		outputFileWriter.println(" 12");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 22");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 32");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 14");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 24");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 34");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 15");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 25");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 35");
		outputFileWriter.println("0.0");
		outputFileWriter.println("146");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 13");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 23");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 33");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 16");
		outputFileWriter.println("1.0");
		outputFileWriter.println(" 26");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 36");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 17");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 27");
		outputFileWriter.println("1.0");
		outputFileWriter.println(" 37");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 76");
		outputFileWriter.println("0");
		outputFileWriter.println("330");
		outputFileWriter.println("1F");
		outputFileWriter.println("  0");
		outputFileWriter.println("LAYOUT");
		outputFileWriter.println("  5");
		outputFileWriter.println("26");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbPlotSettings");
		outputFileWriter.println("  1");
		outputFileWriter.println("");
		outputFileWriter.println("  2");
		outputFileWriter.println("C:\\Program Files\\AutoCAD 2002\\plotters\\DWF ePlot (optimized for plotting).pc3");
		outputFileWriter.println("  4");
		outputFileWriter.println("");
		outputFileWriter.println("  6");
		outputFileWriter.println("");
		outputFileWriter.println(" 40");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 41");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 42");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 43");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 44");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 45");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 46");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 47");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 48");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 49");
		outputFileWriter.println("0.0");
		outputFileWriter.println("140");
		outputFileWriter.println("0.0");
		outputFileWriter.println("141");
		outputFileWriter.println("0.0");
		outputFileWriter.println("142");
		outputFileWriter.println("1.0");
		outputFileWriter.println("143");
		outputFileWriter.println("1.0");
		outputFileWriter.println(" 70");
		outputFileWriter.println("688");
		outputFileWriter.println(" 72");
		outputFileWriter.println("0");
		outputFileWriter.println(" 73");
		outputFileWriter.println("0");
		outputFileWriter.println(" 74");
		outputFileWriter.println("5");
		outputFileWriter.println("  7");
		outputFileWriter.println("");
		outputFileWriter.println(" 75");
		outputFileWriter.println("16");
		outputFileWriter.println("147");
		outputFileWriter.println("1.0");
		outputFileWriter.println("148");
		outputFileWriter.println("0.0");
		outputFileWriter.println("149");
		outputFileWriter.println("0.0");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbLayout");
		outputFileWriter.println("  1");
		outputFileWriter.println("Layout2");
		outputFileWriter.println(" 70");
		outputFileWriter.println("1");
		outputFileWriter.println(" 71");
		outputFileWriter.println("2");
		outputFileWriter.println(" 10");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 20");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 11");
		outputFileWriter.println("12.0");
		outputFileWriter.println(" 21");
		outputFileWriter.println("9.0");
		outputFileWriter.println(" 12");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 22");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 32");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 14");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 24");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 34");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 15");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 25");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 35");
		outputFileWriter.println("0.0");
		outputFileWriter.println("146");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 13");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 23");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 33");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 16");
		outputFileWriter.println("1.0");
		outputFileWriter.println(" 26");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 36");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 17");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 27");
		outputFileWriter.println("1.0");
		outputFileWriter.println(" 37");
		outputFileWriter.println("0.0");
		outputFileWriter.println(" 76");
		outputFileWriter.println("0");
		outputFileWriter.println("330");
		outputFileWriter.println("23");
		outputFileWriter.println("  0");
		outputFileWriter.println("DICTIONARY");
		outputFileWriter.println("  5");
		outputFileWriter.println("405");
		outputFileWriter.println("100");
		outputFileWriter.println("AcDbDictionary");
		outputFileWriter.println("281");
		outputFileWriter.println("1");
		outputFileWriter.println("  3");
		outputFileWriter.println("DIMASSOC");
		outputFileWriter.println("350");
		outputFileWriter.println("407");
		outputFileWriter.println("  3");
		outputFileWriter.println("HIDETEXT");
		outputFileWriter.println("350");
		outputFileWriter.println("406");
		outputFileWriter.println("  0");
		outputFileWriter.println("DICTIONARYVAR");
		outputFileWriter.println("  5");
		outputFileWriter.println("406");
		outputFileWriter.println("100");
		outputFileWriter.println("DictionaryVariables");
		outputFileWriter.println("280");
		outputFileWriter.println("0");
		outputFileWriter.println("  1");
		outputFileWriter.println("2");
		outputFileWriter.println("  0");
		outputFileWriter.println("DICTIONARYVAR");
		outputFileWriter.println("  5");
		outputFileWriter.println("407");
		outputFileWriter.println("100");
		outputFileWriter.println("DictionaryVariables");
		outputFileWriter.println("280");
		outputFileWriter.println("0");
		outputFileWriter.println("  1");
		outputFileWriter.println("1");
		outputFileWriter.println("  0");
		outputFileWriter.println("ENDSEC");
		outputFileWriter.println("  0");
		outputFileWriter.println("EOF");

		//outputFileWriter.println("EOF");
		
		/* close the file */
		outputFileWriter.close();
		new CallQcad(null);
		
	}

}
